// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "Kismet/BlueprintFunctionLibrary.h"
#include "BPTools.generated.h"

/**
 * 
 */
UCLASS()
class TERRACOTTAWARRIORS_API UBPTools : public UBlueprintFunctionLibrary
{
	GENERATED_BODY()

public:

	/**
	 * Reads the content of a file and returns it as a string.
	 * @param FilePath The path to the file to read.
	 * @return The content of the file as a string, or an empty string if the file does not exist or cannot be read.
	 */
	UFUNCTION(BlueprintCallable)
	static FString ReadConfigString(const FString& FilePath);
	
};
